OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.EXT.GPUProgramParameters

Contents

- Extension Support
- Functions

Description

Synopsis

- glGetEXTGPUProgramParameters :: MonadIO m => m Bool
- gl_EXT_gpu_program_parameters :: Bool
- glProgramEnvParameters4fvEXT :: MonadIO m => GLenum -> GLuint -> GLsizei -> Ptr GLfloat -> m ()
- glProgramLocalParameters4fvEXT :: MonadIO m => GLenum -> GLuint -> GLsizei -> Ptr GLfloat -> m ()

# Extension Support

glGetEXTGPUProgramParameters :: MonadIO m => m Bool Source #

Is the EXT_gpu_program_parameters extension supported?

gl_EXT_gpu_program_parameters :: Bool Source #

Is the EXT_gpu_program_parameters extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTGPUProgramParameters` in those cases instead.

# Functions

glProgramEnvParameters4fvEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ProgramTarget.
-> GLuint | `index`.
-> GLsizei | `count`.
-> Ptr GLfloat | `params` pointing to `count*4` elements of type `GLfloat`.
-> m () |

glProgramLocalParameters4fvEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ProgramTarget.
-> GLuint | `index`.
-> GLsizei | `count`.
-> Ptr GLfloat | `params` pointing to `count*4` elements of type `GLfloat`.
-> m () |